> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hyperrails.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get All Dynamic Accounts

> This retrieves and lists all the active dynamic accounts you created.



## OpenAPI

````yaml GET /accounts
openapi: 3.1.0
info:
  title: HyperRail
  description: HyperRail documentation
  license:
    name: MIT
  version: 1.0.0
servers:
  - description: Live server
    url: https://api.hyperrails.io/api/v1
security:
  - bearerAuth: []
paths:
  /accounts:
    get:
      description: This retrieves and lists all the active dynamic accounts you created.
      operationId: ListDynamicAccount
      parameters:
        - name: x-service-source
          in: header
          required: true
          description: Identifies the calling service
          schema:
            type: string
            default: HyperRails
            example: HyperRails
      responses:
        '200':
          description: A JSON array of dynamic details objects.
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/DynamicDetailsResponse'
        '400':
          description: Not Found - No subscriptions found for the given plan ID.
          content:
            application/json:
              schema:
                $ref: 75f957a6-f72b-40c2-b915-a993e62a9238
        '401':
          description: Unauthorized - Invalid or missing authentication token.
          content:
            application/json:
              schema:
                $ref: 5b1d75b6-95ef-44cf-8885-06c2b9f9fdec
components:
  schemas:
    DynamicDetailsResponse:
      type: object
      properties:
        id:
          type: string
          format: uuid
          example: c1fba25a-a36b-479c-b17d-64dbaf3ba32c
        accountNumber:
          type: string
          example: '7706438396'
        accountName:
          type: string
          example: Quantum Technologies
        bankName:
          type: string
          example: Testbank MFB
        mode:
          type: string
          enum:
            - live
            - test
          example: live
        lifeCycle:
          type: string
          example: temporary
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: API key authentication using Bearer token

````